Subject: Bug#698985: alsa-utils: alsamixer does not work. Broken pipe.

From: Elimar Riesebieter <[email-masked]>
Date: Mon, 28 Jan 2013 11:24:12 +0100

* Azuki <[email-masked]> [2013-01-28 03:50 -0500]:

> > It turns out that pulse doesn't cooperate with your soundcard. As
> > told before stop the pulsedaemon and prevent it for restarting. Else
> > mv /etc/asound.conf /etc/asound.conf.save and run alsamixer again.
> > 
> > It would be great if you answer always to [email-masked] as
> > well. Other users may be interested for similar probs.
> > 
> 
> I tried the following.
> $ mv /etc/asound.conf /etc/asound.conf.save
> I confirmed that .asoundrc does not exist in HOME directory.
> Then I completely deleted pulseaudio. And I confirmed .pulse directory and .pulse-cookie does not exist in HOME.
> $ apt-get --purge autoremove pulseaudio
> After having confirmed that pulseaudio does not run, I ran alsamixer.
> $ alsamixer
> cannot load mixer controls: Broken pipe
> $ amixer -c 0
> amixer: Mixer hw:0 load error: Broken pipe

Try a newer kernel as 2.6.32 alsa-drivers seems to be too old for
your card.

Again: Please reply tё [email-masked] as well.

Elimar
-- 
  We all know Linux is great... it does infinite loops in 5 seconds.
        -Linus Torvalds